Package com.sas.services.security

# Class LoginCallbackHandler

java.lang.Object
com.sas.services.security.LoginCallbackHandler

All Implemented Interfaces:
  `Serializable`, `CallbackHandler`

public class LoginCallbackHandler extends Object implements Serializable, CallbackHandler
Login callback handler.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginCallbackHandler(UserContextInterface user, UserIdentityInterface ident, Map options)`
  Constructs a login callback handler for the specified user context, identity, and options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map`
  `getDelegateOptionMap(Map optionMap)`
  `void`
  `handle(Callback[] callbacks)`
  Handles the login callback.
  `void`
  `setContext(UserContextInterface user)`
  Sets the user's context.
  `void`
  `setDomain(String domain)`
  `void`
  `setIdentity(UserIdentityInterface ident)`
  Sets the user's identity.
  `void`
  `setOptions(Map options)`
  Sets options.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoginCallbackHandler

    public LoginCallbackHandler(UserContextInterface user, UserIdentityInterface ident, Map options)
    Constructs a login callback handler for the specified user context, identity, and options.
    Parameters:
      `user` - User context
      `ident` - User identity
      `options` - Options

- ## Method Details

  - ### setIdentity

    public void setIdentity(UserIdentityInterface ident)
    Sets the user's identity.
    Parameters:
      `ident` - User's identity.

  - ### setContext

    public void setContext(UserContextInterface user)
    Sets the user's context.
    Parameters:
      `user` - User's context.

  - ### setOptions

    public void setOptions(Map options)
    Sets options.
    Parameters:
      `options` -

  - ### setDomain

    public void setDomain(String domain)

  - ### handle

    public void handle(Callback[] callbacks) throws UnsupportedCallbackException
    Handles the login callback.
    Specified by:
      `handle` in interface `CallbackHandler`
    Parameters:
      `callbacks` - Callbacks
    Throws:
      `UnsupportedCallbackException` - if an invalid callback is encountered.

  - ### getDelegateOptionMap

    public static Map getDelegateOptionMap(Map optionMap)